Error: Invalid 'use'. Unbound module: '0x1::Debug'

Hi all,

I have recently run into some trouble importing standard library in Move. I have installed move-cli through the lastest commit and I have followed the coin creating tutorial. The error occured when I do

move sandbox run ./src/scripts/test.move.

I do see all stdlib modules in the storage folder and in the build folder. I am wondering how would I be able to resolve the issue?

I notice there was a similar problem but It seems like the problem was solved by moving from using move_cli command to move command. So I assume my error has come from somewhere else.

Thank you very much for your help in advance!

I believe this is due to the switch to named addresses for the standard library. We have not yet updated the tutorial code (apologies, will get to this soon), but hopefully switching use 0x1::Debug with use Std::Debug will fix your issue. Let us know if that’s not the case!